libzypp: zypp::sat::Transaction::Step Class Reference

libzypp 17.38.5

zypp::sat::Transaction::Step Class Reference

A single step within a Transaction. More...

`#include <zypp/sat/Transaction.h>`

## Public Member Functions
| Step ()
| Step (const RW_pointer< Impl > &pimpl_r, detail::IdType id_r)
StepType | stepType () const
| Type of action to perform in this step.
StepStage | stepStage () const
| Step action result.
void | stepStage (StepStage val_r)
| Set step action result.
Solvable | satSolvable () const
| Return the corresponding Solvable.

## Friends
std::ostream & | operator<< (std::ostream &str, const Step &obj)

## Related Symbols
(Note that these are not member symbols.)
std::ostream & | operator<< (std::ostream &str, const Transaction::Step &obj) ZYPP_API
| Stream output.

## Post mortem acccess to @System solvables
Transaction::Step step; if ( step.satSolvable() ) std::cout << step.satSolvable() << endl; else std::cout << step.ident() << endl; // deleted @System solvable zypp::sat::Transaction::Step A single step within a Transaction. Definition Transaction.h:219 zypp::sat::Transaction::Step::ident IdString ident() const Definition Transaction.cc:399 zypp::sat::Transaction::Step::satSolvable Solvable satSolvable() const Return the corresponding Solvable. Definition Transaction.h:243
Solvable | _solv
RW_pointer< Impl > | _pimpl
| Pointer to implementation.
IdString | ident () const
Edition | edition () const
Arch | arch () const
| operator const Solvable & () const
| Implicit conversion to Solvable.
| operator Solvable & ()

## Detailed Description

A single step within a Transaction.

Note
  After commit, when the @System repo (rpm database) is reread, all @System solvables within the transaction are invalidated (they got deleted). Thats why we internally store the NVRA, so you can access ident (

See also
  sat::Solvable::ident), edition, arch of a deleted package, even if the satSolvable itself is meanwhile invalid.
  Transaction.

Definition at line 218 of file Transaction.h.

## Constructor & Destructor Documentation

## ◆ Step() [1/2]

zypp::sat::Transaction::Step::Step | ( |  | ) |

Definition at line 387 of file Transaction.cc.

## ◆ Step() [2/2]

zypp::sat::Transaction::Step::Step | ( | const RW_pointer< Impl > & | pimpl_r,
|  | detail::IdType | id_r )
| inline

Definition at line 224 of file Transaction.h.

## Member Function Documentation

## ◆ stepType()

Transaction::StepType zypp::sat::Transaction::Step::stepType | ( |  | ) | const

Type of action to perform in this step.

Definition at line 390 of file Transaction.cc.

## ◆ stepStage() [1/2]

Transaction::StepStage zypp::sat::Transaction::Step::stepStage | ( |  | ) | const

Step action result.

Definition at line 393 of file Transaction.cc.

## ◆ stepStage() [2/2]

void zypp::sat::Transaction::Step::stepStage | ( | StepStage | val_r | ) |

Set step action result.

Definition at line 396 of file Transaction.cc.

## ◆ satSolvable()

Solvable zypp::sat::Transaction::Step::satSolvable | ( |  | ) | const
| inline

Return the corresponding Solvable.

Returns Solvable::noSolvable if the item is meanwhile deleted and was removed from the pool.

See also
  Post mortem acccess to @System solvables.

Definition at line 243 of file Transaction.h.

## ◆ ident()

IdString zypp::sat::Transaction::Step::ident | ( |  | ) | const

See also
  sat::Solvable::ident.

Definition at line 399 of file Transaction.cc.

## ◆ edition()

Edition zypp::sat::Transaction::Step::edition | ( |  | ) | const

See also
  sat::Solvable::edition.

Definition at line 402 of file Transaction.cc.

## ◆ arch()

Arch zypp::sat::Transaction::Step::arch | ( |  | ) | const

See also
  sat::Solvable::arch.

Definition at line 405 of file Transaction.cc.

## ◆ operator const Solvable &()

zypp::sat::Transaction::Step::operator const Solvable & | ( |  | ) | const
| inline

Implicit conversion to Solvable.

Definition at line 267 of file Transaction.h.

## ◆ operator Solvable &()

zypp::sat::Transaction::Step::operator Solvable & | ( |  | ) |
| inline

Definition at line 269 of file Transaction.h.

## Friends And Related Symbol Documentation

## ◆ operator<< [1/2]

std::ostream & operator<< | ( | std::ostream & | str,
|  | const Step & | obj )
| friend

Definition at line 408 of file Transaction.cc.

## ◆ operator<<() [2/2]

std::ostream & operator<< | ( | std::ostream & | str,
|  | const Transaction::Step & | obj )
| related

Stream output.

Definition at line 408 of file Transaction.cc.

## Member Data Documentation

## ◆ _solv

Solvable zypp::sat::Transaction::Step::_solv
| private

Definition at line 272 of file Transaction.h.

## ◆ _pimpl

RW_pointer<Impl> zypp::sat::Transaction::Step::_pimpl
| private

Pointer to implementation.

Definition at line 274 of file Transaction.h.

The documentation for this class was generated from the following files:

- zypp/sat/Transaction.h
- zypp/sat/Transaction.cc